## compyle 0.9.1

=== requirements.txt ===
mako
pytools
cython
numpy
pytest

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = ComPyle
SOURCEDIR     = source
BUILDDIR      = build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

## compyle 0.6~dev0~20190922.gitaa5a50d

=== debian/changelog ===
compyle (0.6~dev0~20190922.gitaa5a50d-2) unstable; urgency=medium

  * Team upload.

  [ Antonio Valentino ]
  * Add d/gbp.conf

  [ Anton Gladky ]
  * source-only-upload

 -- Anton Gladky <gladk@debian.org>  Wed, 01 Jan 2020 20:54:59 +0100

compyle (0.6~dev0~20190922.gitaa5a50d-1) unstable; urgency=medium

  * Initial version (Closes: #940912).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 22 Sep 2019 16:05:26 +0000

=== debian/control ===
Source: compyle
Section: python
Priority: optional
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
Build-Depends: cython3,
               debhelper-compat (= 12),
               dh-python,
               python3-all-dev,
               python3-mako,
               python3-numpy,
               python3-pyopencl,
               python3-pytest,
               python3-pytools,
               python3-setuptools,
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/science-team/compyle
Vcs-Git: https://salsa.debian.org/science-team/compyle.git
Homepage: https://github.com/pypr/compyle

Package: python3-compyle
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         cython3,
         python3-mako,
         python3-numpy,
         python3-pytools
Recommends: ${python3:Recommends}
Suggests: ${python3:Suggests},
          python3-pycuda,
          python3-pyopencl
Description: Execute a subset of Python on HPC platforms
 ComPyle allows users to execute a restricted subset of Python (almost
 similar to C) on a variety of HPC platforms. Currently it supports
 multi-core execution using Cython, and OpenCL and CUDA for GPU devices.
 .
 Users start with code implemented in a very restricted Python syntax,
 this code is then automatically transpiled, compiled and executed to run
 on either one CPU core, or multiple CPU cores (via OpenMP_) or on a GPU.
 CPy offers source-to-source transpilation, making it a very convenient
 tool for writing HPC libraries.
 .
 Some simple yet powerful parallel utilities are provided which can allow
 you to solve a remarkably large number of interesting HPC problems.
 .
 ComPyle also features JIT transpilation if you wish making it easy to use.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=compyle
export PYBUILD_TEST_ARGS=--ignore=compyle/tests/test_cuda.py \
-k "not test_that_multiple_compiles_do_not_occur_for_same_source"

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	$(RM) -r .pytest_cache compyle.egg-info
	$(RM) compyle/thrust/sort.cpp

## compyle 0.6

=== debian/changelog ===
compyle (0.6-1) unstable; urgency=medium

  * New upstream version.
  * Standards version bumped to 4.5.0 (no changes).
  * debian/patches:
    - refresh all patches

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 16 Jun 2020 06:31:52 +0000

## compyle 0.7

=== debian/changelog ===
compyle (0.7-3) unstable; urgency=medium

  * Standards version bumped to 4.6.0 (no changes).
  * Update the watch file.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 12 Sep 2021 08:02:07 +0000

compyle (0.7-2) unstable; urgency=medium

  * Standards-Version bumped to v4.5.1 (no change).
  * debian/patched:
    - new 0002-Python-3.9.patch to fix compatibility with Puthon 3.9 (ast).
      Closes: #972006.
    - new 0003-Fix-32bit.patch to fix tests on 32bit architectures.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Thu, 24 Dec 2020 16:21:31 +0000

compyle (0.7-1) unstable; urgency=medium

  [ Antonio Valentino ]
  * New upstream release.
  * Updated debian/copyright file.
  * Refresh all patches.
  * skip non critical test_align_multiple:
    see also https://github.com/pypr/compyle/issues/30

  [ Andreas Tille ]
  * Drop redundant debian/gbp.conf specifying same values as defined in
    group policy

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 03 Oct 2020 10:37:02 +0000

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: compyle
-Section: python
-Priority: optional
-Testsuite: autopkgtest-pkg-python
-Rules-Requires-Root: no
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
+Section: python
+Testsuite: autopkgtest-pkg-python
+Priority: optional
 Build-Depends: cython3,
                debhelper-compat (= 12),
                dh-python,
@@ -14,11 +13,12 @@
                python3-pyopencl,
                python3-pytest,
                python3-pytools,
-               python3-setuptools,
-Standards-Version: 4.4.0
+               python3-setuptools
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/science-team/compyle
 Vcs-Git: https://salsa.debian.org/science-team/compyle.git
 Homepage: https://github.com/pypr/compyle
+Rules-Requires-Root: no
 
 Package: python3-compyle
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 export PYBUILD_NAME=compyle
 export PYBUILD_TEST_ARGS=--ignore=compyle/tests/test_cuda.py \
--k "not test_that_multiple_compiles_do_not_occur_for_same_source"
+-vs -k "not test_that_multiple_compiles_do_not_occur_for_same_source"
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=4
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\.?\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|b|beta|a|alpha)\d*)$/$1~$2/;s/RC/rc/;s/\-/\./g,\
filenamemangle=s/(?:.*?)?(?:rel|v|compyle)?[\-\_]?(\d\S+)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/compyle-$1.$2/,\
repacksuffix=+ds \
https://github.com/pypr/compyle/releases \
(?:.*?/archive/(?:.*?/)?)?(?:rel|v|compyle)?[\-\_]?(\d\S+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## compyle 0.8.1

=== debian/changelog ===
compyle (0.8.1-6) unstable; urgency=medium

  * debian/patches:
    - New 0005-cython-runtime-dependency.patch (Closes: #1057987).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 12 Dec 2023 07:02:34 +0000

compyle (0.8.1-5) unstable; urgency=medium

  * Standards version bumped to 4.6.2, no changes.
  * devian/control:
    - Use <!nocheck> marker.
    - Switch to autopkgtest-pkg-pybuild.
    - Switch to debhelper-comapt 13.
    - Do not use undefined substitution variables.
  * Switch to dh-sequence-*.
  * New d/clean file.
  * Update dates in d/copyright.
  * debian/patches:
    - New 0004-Do-not-use-distutils.patch.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 03 Dec 2023 11:51:32 +0000

compyle (0.8.1-4) unstable; urgency=medium

  * debian/patches:
    - new 0003-Compatibility-with-numpy-v1.24.patch (Closes: #1027241).
  * debian/rules:
    - enable numpy3 dh helper.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Thu, 29 Dec 2022 18:17:06 +0000

compyle (0.8.1-3) unstable; urgency=medium

  * Fix d/copyright formatting.
  * Standards version bumped to 4.6.1 (no changes).
  * debian/patches:
    - new 0002-Fix-compatibility-with-Python-3.11.patch
      (see also #1024498).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 23 Nov 2022 09:19:28 +0000

compyle (0.8.1-2) unstable; urgency=medium

  * Disable tests for data types not supported on
    32bit architectures.
  * Update the d/copyright file.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 16 Jan 2022 11:34:54 +0000

compyle (0.8.1-1) unstable; urgency=medium

  * New upstream release (Closes: #1002094).
  * Update the d/watch file.
  * Update the d/copyright files.
  * debian/patches:
    - drop 0002-Python-3.9.patch and 0003-Fix-32bit.patch,
      applied upstream
    - refresh remaining patches.
  * debian/rules:
    - set PYOPENCL_CTX=0.
  * debian/control:
    - add (explicit) build dependency on pocl-opencl-icd.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 16 Jan 2022 09:24:56 +0000

compyle (0.7-4) unstable; urgency=medium

  * Update watch file to use tags instead of releases.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 07 Nov 2021 18:24:47 +0000

=== debian/control ===
--- 
+++ 
@@ -2,19 +2,22 @@
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
 Section: python
-Testsuite: autopkgtest-pkg-python
+Testsuite: autopkgtest-pkg-pybuild
 Priority: optional
 Build-Depends: cython3,
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                dh-python,
+               dh-sequence-python3,
+               dh-sequence-numpy3,
+               pocl-opencl-icd,
                python3-all-dev,
                python3-mako,
                python3-numpy,
                python3-pyopencl,
-               python3-pytest,
+               python3-pytest <!nocheck>,
                python3-pytools,
                python3-setuptools
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/science-team/compyle
 Vcs-Git: https://salsa.debian.org/science-team/compyle.git
 Homepage: https://github.com/pypr/compyle
@@ -26,11 +29,8 @@
          ${python3:Depends},
          cython3,
          python3-mako,
-         python3-numpy,
          python3-pytools
-Recommends: ${python3:Recommends}
-Suggests: ${python3:Suggests},
-          python3-pycuda,
+Suggests: python3-pycuda,
           python3-pyopencl
 Description: Execute a subset of Python on HPC platforms
  ComPyle allows users to execute a restricted subset of Python (almost

=== debian/rules ===
#!/usr/bin/make -f

export PYOPENCL_CTX=0

export PYBUILD_NAME=compyle
export PYBUILD_TEST_ARGS=\
-k "not test_that_multiple_compiles_do_not_occur_for_same_source \
and not test_const_as_call_arg \
and not test_const_in_return" \
--ignore=$(CURDIR)/compyle/tests/test_cuda.py \
$(CURDIR)/compyle/tests

%:
	dh $@ --buildsystem=pybuild

## compyle 0.9.1

=== debian/changelog ===
compyle (0.9.1-1) unstable; urgency=medium

  * New upstream release.
  * Standards version bumped to 4.7.2, no changes.
  * debian/patches:
    - Drop 0002-Fix-compatibility-with-Python-3.11.patch,
      0003-Compatibility-with-numpy-v1.24.patch and
      0006-fix-backend-rework-passing-profile-arg-to-opencl.patch,
      applied upstream.
    - Refresh abd renumber the remaining patches.
  * Update debian/sources/lintian-overrides.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Mon, 18 Aug 2025 19:34:39 +0000

compyle (0.8.1-11) unstable; urgency=medium

  * Team upload.
  [ Adrian Bunk ]
  * Backport upstream fix for recent pyopencl. Closes: #1104368.

 -- Santiago Vila <sanvila@debian.org>  Thu, 19 Jun 2025 09:35:00 +0200

compyle (0.8.1-10) unstable; urgency=medium

  * debian/patches:
    - Drop 0005-cython-runtime-dependency.patch
    - Refresh and renumber remaining patches.
  * Use d/tests/autopkgtest-pkg-pybuild.conf to skip tests on
    unsupported architectures.
  * Update dates in d/copyright.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 05 Jan 2025 11:43:27 +0000

compyle (0.8.1-9) unstable; urgency=medium

  * Standards version bumped to 4.7.0, no changes.
  * debian/pathes:
    - New 0006-Fix-sorting.patch (Closes:  #1067301).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 21 Sep 2024 14:36:40 +0000

compyle (0.8.1-8) unstable; urgency=medium

  * debian/rule:
    - Skip parallel tests: too much memory needed on some platforms.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 14 Jan 2024 08:13:37 +0000

compyle (0.8.1-7) unstable; urgency=medium

  * debian/patches:
    - Improve 0004-Do-not-use-distutils.patch.
  * debian/control:
    - Drop runtime dependency on cython3.
    - Add runtime dependency on python3-setuptools (Closes: #1060063).
  * Update d/copyright.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 06 Jan 2024 12:31:57 +0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                python3-pytest <!nocheck>,
                python3-pytools,
                python3-setuptools
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/science-team/compyle
 Vcs-Git: https://salsa.debian.org/science-team/compyle.git
 Homepage: https://github.com/pypr/compyle
@@ -25,11 +25,10 @@
 
 Package: python3-compyle
 Architecture: all
-Depends: ${misc:Depends},
+Depends: cython3,
+         python3-setuptools,
          ${python3:Depends},
-         cython3,
-         python3-mako,
-         python3-pytools
+         ${misc:Depends}
 Suggests: python3-pycuda,
           python3-pyopencl
 Description: Execute a subset of Python on HPC platforms

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,7 @@
 and not test_const_as_call_arg \
 and not test_const_in_return" \
 --ignore=$(CURDIR)/compyle/tests/test_cuda.py \
+--ignore=$(CURDIR)/compyle/tests/test_parallel.py \
 $(CURDIR)/compyle/tests
 
 %:

=== debian/watch ===
version=4
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\.?\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|b|beta|a|alpha)\d*)$/$1~$2/;s/RC/rc/;s/\-/\./g,\
filenamemangle=s/(?:.*?)?(?:rel|v|compyle)?[\-\_]?(\d\S+)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/compyle-$1.$2/,\
repacksuffix=+ds \
https://github.com/pypr/compyle/tags \
(?:.*?/archive/(?:.*?/)?)?(?:rel|v|release|compyle)?[\-\_]?(\d\S+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
